You can sign up to get a daily email of our articles, see the Mailing List page!
Support us on Patreon to keep GamingOnLinux alive. This ensures we have no timed articles and no paywalls. Just good, fresh content! Alternatively, you can donate through Paypal, Flattr and Liberapay.!

Wine 3.6 is out with work towards high DPI support and BattlEye fixes

Posted by , | Views: 8,387

Wine 3.6 is now officially available with some new features and a healthy dose of bug fixes to keep Wine users happy.

In terms of feature highlights, here's what's in:

  • Support for PNG format icons.
  • Support for 1D textures.
  • More infrastructure for high DPI support.
  • OLE data cache improvements.

This time around, it seems quite a few bugs were noted as fixed, 53 in fact. Some notable bugs that got fixed were seven specific to BattlEye, along with multiple games requiring a "d3d11_device_CreateTexture1D" implementation (Need For Speed: The Run, Sniper Elite V2, Overwatch, Battlefield 3), along with fixes for Cuphead and plenty more. As a reminder though, not all noted bugs were specifically fixed in this release, some were fixed earlier and only updated now.

Quite an exciting release in terms of bug fixes there.

14 Likes, Who?
We do often include affiliate links to earn us some pennies. We are currently affiliated with GOG and Humble Store. See more information here.
15 comments
Page: «2/2
  Go to:

CJOR 15 April 2018 at 8:52 pm UTC
Wine Staging for Ubuntu has been updated in the official repo!!!
Whitewolfe80 16 April 2018 at 8:50 pm UTC
GuestHeh, maybe time to give it a try again... What's the advised way to install Steam ? Specific prefix ? Tweaks required ?

Hmm, not sure I want to count as a Windows user though
Just a base install of steam on wine, honestly quickest way is to use lutris because then you can instantly choose the latest build of wine from manage wine list tab.
robiniseenbanaan 19 April 2018 at 11:53 am UTC
Street fighter V seems like to have the same problem I had with Battlefield 1. Did you try setting nvapi64 to disabled?
gustavoyaraujo 19 April 2018 at 5:41 pm UTC
Guest
gustavoyaraujoCan someone try to run Street Fighter V. The results from winehq are too old...
Wouldn't even start for me.

robiniseenbanaanStreet fighter V seems like to have the same problem I had with Battlefield 1. Did you try setting nvapi64 to disabled?

Did you try it?


Last edited by gustavoyaraujo at 19 April 2018 at 5:43 pm UTC
Comandante Ñoñardo 20 April 2018 at 2:54 am UTC
I installed the GOG version of METRO 2033 Redux, and it works.... But with a very choppy audio..
  Go to:
While you're here, please consider supporting GamingOnLinux on Patreon or Liberapay. We have no adverts, no paywalls, no timed exclusive articles. Just good, fresh content. Without your continued support, we simply could not continue!

We also accept Paypal donations and subscriptions! If you already are, thank you!

Due to spam you need to Register and Login to comment.


Or login with...

Livestreams & Videos
Official Livestreams
  • Streets of Rogue
  • Date:
Community Livestreams
See more!
Popular this week
View by Category
Contact
Latest Comments
Latest Forum Posts